%global momorel 5
%global subversion -1
%global ocamlver 3.11.0
%global emacsver 23.0.95
%global xemacsver 21.5.29
%global e_sitedir %{_datadir}/emacs/site-lisp
#%%global xe_sitedir %{_datadir}/xemacs/site-lisp
%global sitepdir %{_datadir}/xemacs/site-packages

Summary: The Coq Proof Assistant
Name: coq
Version: 8.2
Release: %{momorel}m%{?dist}
License: LGPLv2
Group: Applications/Engineering
URL: http://coq.inria.fr/
Source0: http://coq.inria.fr/distrib/v%{version}/files/coq-%{version}%{subversion}.tar.gz
NoSource: 0
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: ocaml >= %{ocamlver}
BuildRequires: ocaml-camlp5-devel >= 5.10-1m
BuildRequires: ocaml-lablgtk-devel >= 2.12.0
BuildRequires: ncurses-devel
ExcludeArch: ppc64

%description
Coq is a Proof Assistant for a Logical Framework known as the Calculus
of Inductive Constructions. It allows the interactive construction of
formal proofs, and also the manipulation of functional programs
consistently with their specifications.

%package emacs
Group: Applications/Engineering
Summary: Emacs mode for Coq
License: GPLv2+
Requires: %{name} = %{version}-%{release}
Requires: emacs >= %{emacsver}

%description emacs
Emacs mode for Coq.

%package xemacs
Group: Applications/Engineering
Summary: XEmacs mode for Coq
License: GPLv2+
Requires: %{name} = %{version}-%{release}
Requires: xemacs >= %{xemacsver}

%description xemacs
XEmacs mode for Coq.

%prep
%setup -q -n %{name}-%{version}%{subversion}

chmod -x tools/README.coq-tex

%build
./configure \
    -bindir %{_bindir} \
    -libdir %{_libdir}/coq \
    -mandir %{_mandir} \
    -emacslib %{_datadir}/emacs/site-lisp/coq \
    -coqdocdir %{_datadir}/texmf/tex/latex/misc \
    -reals all \
    -with-doc no \
    -docdir /dev/null \
    -opt
make world

%install
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}

make COQINSTALLPREFIX=%{buildroot} install-coq
make COQINSTALLPREFIX=%{buildroot} install-coqide

# for xemacs
make FULLEMACSLIB=%{buildroot}%{sitepdir}/lisp/coq install-emacs

%clean
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc CHANGES COPYRIGHT CREDITS INSTALL INSTALL.ide
%doc LICENSE README tools/README.coq-tex
%{_bindir}/*
%{_libdir}/coq
%{_mandir}/man1/*
%{_datadir}/texmf/tex/latex/misc/*

%files emacs
%defattr(-,root,root)
%doc tools/README.emacs
%{e_sitedir}/coq

%files xemacs
%defattr(-,root,root)
%doc tools/README.emacs
%{sitepdir}/lisp/coq

%changelog
* Sat Jun 27 2009 Masahiro Takahata <takahata@momonga-linux.org>
- (8.2-5m)
- version up 8.2-1

* Sun Jun 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (8.2-4m)
- rebuild against emacs-23.0.95

* Mon May 25 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (8.2-3m)
- rebuild against emacs-23.0.94

* Fri May 22 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (8.2-2m)
- rebuild against xemacs-21.5.29

* Tue Feb 17 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (8.2-1m)
- update to 8.2
- rebuild against ocaml-lablgtk-2.12.0

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (8.2-0.0.20081202.2m)
- rebuild against rpm-4.6

* Fri Dec  5 2008 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (8.2-0.0.20081202.1m)
- update to svn snapshot (r11645)
- rebuild against ocaml-3.11.0

* Thu Jul 24 2008 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (8.1pl3-3m)
- rebuild against xemacs-21.5.28
- use %%{sitepdir}

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (8.1pl3-2m)
- rebuild against gcc43

* Sun Mar  2 2008 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (8.1pl3-1m)
- update to 8.1pl3
- rebuild against ocaml 3.10.2

* Thu Feb 14 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (8.1pl2-2m)
- %%NoSource -> NoSource
 
* Wed Oct 24 2007 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (8.1pl2-1m)
- update to 8.1pl2

* Thu Oct 19 2006 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (8.0pl3-1m)
- first packaging
